import CharacterStream from './CharacterStream';
export default class GenericTokenParser {
    open: string;
    close: string;
    skipStr: boolean;
    constructor(open: string, close: string, skipStr: boolean);
    parse(source: string, handler: (str: string) => Promise<string>): Promise<string>;
    parseStream(stream: CharacterStream, expect: string, handler: (str: string) => Promise<string>): Promise<string>;
    private consumeUntil;
}
